function val = theta2pars_jsz(theta,N)
% convert theta vector to list of individual parameters
% Q parameters
pars.dlamQ = theta(1:N) ;
pars.lamQ = cumsum(pars.dlamQ + [1,zeros(1,(N-1))]) ;
% P-innovation covariance matrix
Sigma = ones(N)  ;
Sigma(Sigma==tril(Sigma)) = theta(N+1:end) ;
Sigma = tril(Sigma) ;
pars.L = Sigma ;
pars.Omega_cP = pars.L * transpose(pars.L ) ;

val = pars ;

end